.TH USAGE "1" "September 2021" "yubikey-agent" "User Commands"
.SH NAME
yubikey-agent \- a seamless ssh-agent for YubiKeys
.SH CONFIGURATION
.TP
To start yubikey-agent automatically, enable its service using:
.IP
\fBsystemctl --user enable yubikey-service.user\fR
.TP
To start yubikey-agent once, start its service using:
.IP
\fBsystemctl --user start yubikey-service.user\fR
.TP
You must also set the \fB$SSH_AUTH_SOCK\fR variable to \fB"$XDG_RUNTIME_DIR/yubikey-agent/yubikey-agent.sock"\fR.
.TP
In bash, this can be done by running the following command before your first use of yubikey-agent:
.IP
\fBecho 'export SSH_AUTH_SOCK="$XDG_RUNTIME_DIR/yubikey-agent/yubikey-agent.sock"' >> ~/.bashrc\fR
.SH DESCRIPTION
\fByubikey-agent\fP [options] \fIcommand\fP [arguments]
.SS OPTIONS
.TP
\fB\-setup\fR
.IP
Generate a new SSH key on the attached YubiKey.
.TP
\fB\-l\fR PATH
.IP
Run the agent, listening on the UNIX socket at PATH.
